POST
/
v1
/
channels
/
{channelID}
/
analytics
/
messaging
Get messaging analytics
curl --request POST \
  --url https://api.wazapin.com/v1/channels/{channelID}/analytics/messaging \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "end": 123,
  "start": 123,
  "country_codes": [
    "<string>"
  ],
  "phone_numbers": [
    "<string>"
  ],
  "product_types": [
    "<string>"
  ]
}
'
{
  "data": {
    "country_codes": [
      "<string>"
    ],
    "data_points": [
      {
        "conversation": 123,
        "conversation_category": "<string>",
        "conversation_direction": "<string>",
        "conversation_type": "<string>",
        "cost": 123,
        "country": "<string>",
        "delivered": 123,
        "end": 123,
        "phone_number": "<string>",
        "pricing_category": "<string>",
        "pricing_type": "<string>",
        "sent": 123,
        "start": 123,
        "volume": 123
      }
    ],
    "granularity": "<string>",
    "phone_numbers": [
      "<string>"
    ]
  }
}

Authorizations

Authorization
string
header
required

Session token or API key

Path Parameters

channelID
string
required

Channel ID

Body

application/json
end
integer<int64>
required

End timestamp (Unix epoch)

granularity
enum<string>
required

Data granularity

Available options:
DAY,
HOUR,
HALF_HOUR
start
integer<int64>
required

Start timestamp (Unix epoch)

country_codes
string[] | null

Filter by country codes

phone_numbers
string[] | null

Filter by phone numbers

product_types
string[] | null

Filter by product types

Response

OK

data
object
required